curl --request POST \
--url https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule"
payload = { "scheduled_at": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2023-11-07T05:31:56Z'})
};
fetch('https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scheduled_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule"
payload := strings.NewReader("{\n \"scheduled_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scheduled_at\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scheduled_at\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_terminal": true,
"mode": "web",
"language": "en-US",
"result": {
"scored_at": "2023-11-07T05:31:56Z",
"ineligibility_reasons": [
{
"criteria_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "competency",
"reason": "<string>"
}
],
"criteria_results": [
{
"criteria_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "competency",
"is_required": true,
"outcome": "scored",
"minimum_score": 123,
"weighted_score": "<string>",
"reasoning": "<string>",
"highlights": [
{
"quote": "<string>",
"reasoning": "<string>",
"highlight_time_sec": "<string>",
"sentiment": "positive"
}
],
"score": 1073741823,
"passed": true,
"weight": "<string>",
"extracted_fact": "<string>",
"not_assessed_reason": "<string>"
}
],
"questions": [
{
"sequence_number": 1073741823,
"question_text": "<string>",
"answer": "<string>",
"answer_summary": "<string>"
}
],
"status": "pending",
"overall_score": "<string>",
"overall_score_reasoning": "<string>",
"is_eligible": true,
"summary": "<string>",
"candidate_background": [
"<string>"
],
"candidate_logistical_considerations": [
"<string>"
],
"candidate_motivation_and_interest": [
"<string>"
],
"candidate_tools_and_skills": [
"<string>"
],
"candidate_questions": [
"<string>"
],
"follow_up_questions": [
"<string>"
],
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"red_flags": [
"<string>"
]
},
"status": "pending",
"scheduled_at": "2023-11-07T05:31:56Z",
"retake_number": 1073741823,
"call_retry_count": 1073741823,
"status_updated_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
}[
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
]Reschedule the interview
Move a scheduled interview to a new time. Returns 409 if the interview is not currently scheduled (nothing to reschedule).
curl --request POST \
--url https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule"
payload = { "scheduled_at": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2023-11-07T05:31:56Z'})
};
fetch('https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scheduled_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule"
payload := strings.NewReader("{\n \"scheduled_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scheduled_at\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v2/applications/{application_id}/interview/reschedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scheduled_at\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_terminal": true,
"mode": "web",
"language": "en-US",
"result": {
"scored_at": "2023-11-07T05:31:56Z",
"ineligibility_reasons": [
{
"criteria_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "competency",
"reason": "<string>"
}
],
"criteria_results": [
{
"criteria_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "competency",
"is_required": true,
"outcome": "scored",
"minimum_score": 123,
"weighted_score": "<string>",
"reasoning": "<string>",
"highlights": [
{
"quote": "<string>",
"reasoning": "<string>",
"highlight_time_sec": "<string>",
"sentiment": "positive"
}
],
"score": 1073741823,
"passed": true,
"weight": "<string>",
"extracted_fact": "<string>",
"not_assessed_reason": "<string>"
}
],
"questions": [
{
"sequence_number": 1073741823,
"question_text": "<string>",
"answer": "<string>",
"answer_summary": "<string>"
}
],
"status": "pending",
"overall_score": "<string>",
"overall_score_reasoning": "<string>",
"is_eligible": true,
"summary": "<string>",
"candidate_background": [
"<string>"
],
"candidate_logistical_considerations": [
"<string>"
],
"candidate_motivation_and_interest": [
"<string>"
],
"candidate_tools_and_skills": [
"<string>"
],
"candidate_questions": [
"<string>"
],
"follow_up_questions": [
"<string>"
],
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"red_flags": [
"<string>"
]
},
"status": "pending",
"scheduled_at": "2023-11-07T05:31:56Z",
"retake_number": 1073741823,
"call_retry_count": 1073741823,
"status_updated_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
}[
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
]Authorizations
API key authentication for the public API. Pass your API key as a Bearer token.
Path Parameters
Body
Request body for POST /applications/{id}/interview/reschedule.
The new interview time (ISO 8601).
Response
Interview rescheduled.
Session envelope + nested result. result is null until completed.
Snapshot of the interview config mode at session creation time.
web- Webphone- Phone
web, phone Language of the interview session.
en-US- Englishde-DE- German
en-US, de-DE The scored result body. Null on the session until status==completed.
Show child attributes
Show child attributes
Current status of the interview session, which determines next steps in the interview process.
pending- Pendingscheduled- Scheduledin_progress- In Progressrescheduled- Rescheduledretry_scheduled- Retry Scheduledcompleted- Completedopted_out- Opted Outunreachable- Unreachablelanguage_barrier- Language Barrierfailed- Failedcancelled- Cancelled
pending, scheduled, in_progress, rescheduled, retry_scheduled, completed, opted_out, unreachable, language_barrier, failed, cancelled [Scheduling enabled only] Scheduled date and time for the interview. Populated only when the interview config's scheduling is enabled. Null otherwise.
Number of retakes. 0 = original attempt, 1 = first retake.
0 <= x <= 2147483647Number of call retry attempts within the current retake. Reset on each retake.
0 <= x <= 2147483647Timestamp of the last update to the interview session status. Updated each time the status changes.
Error details when the session fails or is unreachable.

